package digital.laboratory.platform.entrustment.enums;

import lombok.Getter;

@Getter
public enum TemplateTypeEnums {

    TEMPLATE_CASE_BRIEF(0, "案情简要模板"),
    ;


    private final Integer code;

    private final String desc;

    TemplateTypeEnums(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    // 根据名称获取状态值
    public static TemplateTypeEnums fromCode(Integer code) {
        for (TemplateTypeEnums entrustAlterApplyStatus : values()) {
            if (entrustAlterApplyStatus.getCode().equals(code)) {
                return entrustAlterApplyStatus;
            }
        }
        throw new IllegalArgumentException("No enum constant with code: " + code);
    }
}
